Bug 435762 - Buffer overflow
Buffer overflow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xastir (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 13:50 EST by eric@christensenplace.us
Modified: 2008-10-24 19:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-05 10:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2008-03-03 13:50:38 EST
Description of problem: I get a buffer overflow after selecting both the "Enable
English Units" and "Dist/Bearing Status" under File, Configure.  See additional
information for the raw data.


Version-Release number of selected component (if applicable): 1.9.2-2.fc8 


Additional info:

*** buffer overflow detected ***: xastir terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0x748b58]
/lib/libc.so.6[0x747200]
/lib/libc.so.6[0x746737]
xastir[0x80cc8af]
/usr/lib/libXt.so.6(XtDispatchEventToWidget+0x235)[0x4c6f3c5]
/usr/lib/libXt.so.6[0x4c6fd08]
/usr/lib/libXt.so.6(XtDispatchEvent+0xc7)[0x4c6ece7]
/usr/lib/libXt.so.6(XtAppMainLoop+0x4c)[0x4c6ee9c]
xastir[0x80f0c2c]
/lib/libc.so.6(__libc_start_main+0xe0)[0x675390]
xastir[0x804de31]
======= Memory map: ========
00101000-00108000 r-xp 00000000 08:02 96166      /usr/lib/libXp.so.6.2.0
00108000-00109000 rwxp 00006000 08:02 96166      /usr/lib/libXp.so.6.2.0
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00118000 r-xp 00000000 08:02 96161      /usr/local/lib/libshp.so.1.0.1
00118000-00119000 rwxp 00006000 08:02 96161      /usr/local/lib/libshp.so.1.0.1
00119000-00149000 r-xp 00000000 08:02 90811      /usr/local/lib/libproj.so.0.5.4
00149000-0014b000 rwxp 0002f000 08:02 90811      /usr/local/lib/libproj.so.0.5.4
0014b000-00153000 r-xp 00000000 08:02 96466      /usr/lib/libax25.so.0.0.0
00153000-00154000 rwxp 00007000 08:02 96466      /usr/lib/libax25.so.0.0.0
00154000-0015e000 r-xp 00000000 08:02 49255      /lib/libnss_files-2.7.so
0015e000-0015f000 r-xp 00009000 08:02 49255      /lib/libnss_files-2.7.so
0015f000-00160000 rwxp 0000a000 08:02 49255      /lib/libnss_files-2.7.so
00160000-00169000 r-xp 00000000 08:02 87849      /usr/lib/libXcursor.so.1.0.2
00169000-0016a000 rwxp 00008000 08:02 87849      /usr/lib/libXcursor.so.1.0.2
0016a000-00172000 r-xp 00000000 08:02 86592      /usr/lib/libXrender.so.1.3.0
00172000-00173000 rwxp 00007000 08:02 86592      /usr/lib/libXrender.so.1.3.0
00173000-00177000 r-xp 00000000 08:02 87736      /usr/lib/libXfixes.so.3.1.0
00177000-00178000 rwxp 00003000 08:02 87736      /usr/lib/libXfixes.so.3.1.0
001cd000-001e8000 r-xp 00000000 08:02 84131      /usr/lib/libxcb.so.1.0.0
001e8000-001e9000 rwxp 0001a000 08:02 84131      /usr/lib/libxcb.so.1.0.0
001eb000-002e3000 r-xp 00000000 08:02 84458      /usr/lib/libX11.so.6.2.0
002e3000-002e7000 rwxp 000f7000 08:02 84458      /usr/lib/libX11.so.6.2.0
002e9000-00310000 r-xp 00000000 08:02 49319      /lib/libpcre.so.0.0.1
00310000-00311000 rwxp 00026000 08:02 49319      /lib/libpcre.so.0.0.1
00354000-00386000 r-xp 00000000 08:02 84328      /usr/lib/liblcms.so.1.0.16
00386000-00388000 rwxp 00031000 08:02 84328      /usr/lib/liblcms.so.1.0.16
00388000-0038a000 rwxp 00388000 00:00 0 
003b2000-003c1000 r-xp 00000000 08:02 91616      /usr/lib/libXext.so.6.4.0
003c1000-003c2000 rwxp 0000e000 08:02 91616      /usr/lib/libXext.so.6.4.0
003c4000-00491000 r-xp 00000000 08:02 85382      /usr/lib/libWand.so.10.0.8
00491000-00493000 rwxp 000cc000 08:02 85382      /usr/lib/libWand.so.10.0.8
00561000-00569000 r-xp 00000000 08:02 89629      /usr/lib/libSM.so.6.0.0
00569000-0056a000 rwxp 00007000 08:02 89629      /usr/lib/libSM.so.6.0.0
0056c000-00583000 r-xp 00000000 08:02 83546      /usr/lib/libICE.so.6.3.0
00583000-00584000 rwxp 00016000 08:02 83546      /usr/lib/libICE.so.6.3.0
00584000-00586000 rwxp 00584000 00:00 0 
00640000-0065b000 r-xp 00000000 08:02 51559      /lib/ld-2.7.so
0065b000-0065c000 r-xp 0001a000 08:02 51559      /lib/ld-2.7.so
0065c000-0065d000 rwxp 0001b000 08:02 51559      /lib/ld-2.7.so
0065f000-007b2000 r-xp 00000000 08:02 51560      /lib/libc-2.7.so
007b2000-007b4000 r-xp 00153000 08:02 51560      /lib/libc-2.7.so
007b4000-007b5000 rwxp 00155000 08:02 51560      /lib/libc-2.7.so
007b5000-007b8000 rwxp 007b5000 00:00 0 
007ba000-007bd000 r-xp 00000000 08:02 51561      /lib/libdl-2.7.so
007bd000-007be000 r-xp 00002000 08:02 51561      /lib/libdl-2.7.so
007be000-007bf000 rwxp 00003000 08:02 51561      /lib/libdl-2.7.so
007c1000-007e8000 r-xp 00000000 08:02 51563      /lib/libm-2.7.so
007e8000-007e9000 r-xp 00026000 08:02 51563      /lib/libm-2.7.so
007e9000-007ea000 rwxp 00027000 08:02 51563      /lib/libm-2.7.so
007ec000-00801000 r-xp 00000000 08:02 51565      /lib/libpthread-2.7.so
00801000-00802000 r-xp 00014000 08:02 51565      /lib/libpthread-2.7.so
00802000-00803000 rwxp 00015000 08:02 51565      /lib/libpthread-2.7.so
00803000-00805000 rwxp 00803000 00:00 0 
0085e000-00865000 r-xp 00000000 08:02 87890      /usr/lib/libgomp.so.1.0.0
00865000-00866000 rwxp 00006000 08:02 87890      /usr/lib/libgomp.so.1.0.0
008d3000-008e5000 r-xp 00000000 08:02 51571      /lib/libz.so.1.2.3
008e5000-008e6000 rwxp 00011000 08:02 51571      /lib/libz.so.1.2.3
00915000-00925000 r-xp 00000000 08:02 49243      /lib/libbz2.so.1.0.4
00925000-00926000 rwxp 00010000 08:02 49243      /lib/libbz2.so.1.0.4
0092a000-00931000 r-xp 00000000 08:02 51568      /lib/librt-2.7.so
00931000-00932000 r-xp 00007000 08:02 51568      /lib/librt-2.7.so
00932000-00933000 rwxp 00008000 08:02 51568      /lib/librt-2.7.so
00935000-0093a000 r-xp 00000000 08:02 86590      /usr/lib/libXdmcp.so.6.0.0
0093a000-0093b000 rwxp 00004000 08:02 86590      /usr/lib/libXdmcp.so.6.0.0
00a5d000-00a5f000 r-xp 00000000 08:02 86588      /usr/lib/libXau.so.6.0.0
00a5f000-00a60000 rwxp 00001000 08:02 86588      /usr/lib/libXau.so.6.0.0
00a81000-00aa0000 r-xp 00000000 08:02 51572      /lib/libexpat.so.1.5.2
00aa0000-00aa2000 rwxp 0001f000 08:02 51572      /lib/libexpat.so.1.5.2
00aa4000-00b2c000 r-xp 00000000 08:02 86585      /usr/lib/libfreetype.so.6.3.16
00b2c000-00b30000 rwxp 00087000 08:02 86585      /usr/lib/libfreetype.so.6.3.16
00b65000-00b8c000 r-xp 00000000 08:02 86586      /usr/lib/libfontconfig.so.1.2.0
00b8c000-00b94000 rwxp 00027000 08:02 86586      /usr/lib/libfontconfig.so.1.2.0
00b96000-00d3f000 r-xp 00000000 08:02 95578      /usr/lib/libMagick.so.10.0.8
00d3f000-00d88000 rwxp 001a8000 08:02 95578      /usr/lib/libMagick.so.10.0.8
00d88000-00d9f000 rwxp 00d88000 00:00 0 
00dfa000-00dfb000 r-xp 00000000 08:02 84444      /usr/lib/libxcb-xlib.so.0.0.0
00dfb000-00dfc000 rwxp 00000000 08:02 84444      /usr/lib/libxcb-xlib.so.0.0.0
02000000-0214d000 r-xp 00000000 08:02 90686      /usr/lib/libXm.so.2.0.1
0214d000-0215f000 rwxp 0014d000 08:02 90686      /usr/lib/libXm.so.2.0.1
0215f000-02162000 rwxp 0215f000 00:00 0 
04c27000-04c48000 r-xp 00000000 08:02 84000      /usr/lib/libjpeg.so.62.0.0
04c48000-04c49000 rwxp 00020000 08:02 84000      /usr/lib/libjpeg.so.62.0.0
04c54000-04ca8000 r-xp 00000000 08:02 83347      /usr/lib/libXt.so.6.0.0
04ca8000-04cac000 rwxp 00054000 08:02 83347      /usr/lib/libXt.so.6.0.0
06aff000-06b55000 r-xp 00000000 08:02 89425      /usr/lib/libtiff.so.3.8.2
06b55000-06b57000 rwxp 00056000 08:02 89425      /usr/lib/libtiff.so.3.8.2
07f43000-07f4e000 r-xp 00000000 08:02 51564      /lib/libgcc_s-4.1.2-20070925.so.1
07f4e000-07f4f000 rwxp 0000a000 08:02 51564      /lib/libgcc_s-4.1.2-20070925.so.1
08048000-08184000 r-xp 00000000 08:02 91996      /usr/bin/xastir
08184000-08188000 rw-p 0013b000 08:02 91996      /usr/bin/xastir
08188000-08345000 rw-p 08188000 00:00 0 
095ca000-096b5000 rw-p 095ca000 00:00 0 
b7d75000-b7f75000 r--p 00000000 08:02 83028      /usr/lib/locale/locale-archive
b7f75000-b7f7d000 rw-p b7f75000 00:00 0 
bfb6b000-bfb80000 rw-p bffea000 00:00 0          [stack]
Comment 1 eric@christensenplace.us 2008-09-04 15:45:24 EDT
Hasn't this been fixed, now?  I seem to remember that this was no longer a problem.
Comment 2 Lucian Langa 2008-10-04 14:59:11 EDT
Reopen this as this is still reproductible on all versions.
Comment 3 Fedora Update System 2008-10-05 10:33:21 EDT
xastir-1.9.4-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xastir-1.9.4-3.fc8
Comment 4 Fedora Update System 2008-10-05 10:34:13 EDT
xastir-1.9.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xastir-1.9.4-1.fc9
Comment 5 Fedora Update System 2008-10-24 19:48:55 EDT
xastir-1.9.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-24 19:50:36 EDT
xastir-1.9.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.